<?php

//----------------------------------------------------------- include
define('PHPWG_ROOT_PATH','./../../');
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once (NBC_UserAdvManager_PATH.'include/constants.php');
include_once (NBC_UserAdvManager_PATH.'include/functions_UserAdvManager.inc.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_NONE);


include(get_language_filepath('plugin.lang.php', NBC_UserAdvManager_PATH));



if ( isset($_GET['key']) )
{

  if ( VerifyConfirmMail($_GET['key']) )
    $template->assign_vars(array(
      'CONFIRM_MAIL_MESSAGE' => l10n('confirm_mail_ok'),
    ));
  else  
    $template->assign_vars(array(
      'CONFIRM_MAIL_MESSAGE' => l10n('confirm_mail_bad'),
    ));
        
    
//    redirect(make_index_url());
}



$title= l10n('confirm_mail_page_title');
$page['body_id'] = 'theTagsPage';
include(PHPWG_ROOT_PATH.'include/page_header.php');

$template->set_filenames( array('confirm_mail'=>NBC_UserAdvManager_PATH.'ConfirmMail.tpl') );
$template->assign_vars(array(
  'U_HOME' => make_index_url(),
  )
);

$template->parse('confirm_mail');
include(PHPWG_ROOT_PATH.'include/page_tail.php');

?>
